WEBINAR RECORDING: Six Ways to Get Smarter with Your 2018 Fundraising Watch >>

Ending support of TLS 1.0


As we continue to protect our community and network, effective March 9, 2018, the Soapbox Engage network will no longer support TLS 1.0 connections.  With more than 95% of the world's Internet users now using browsers supporting TLS 1.2, and with the forthcoming June 30, 2018 requirement of shutting down TLS 1.0 connections per the PCI-DSS, we're moving our community forward as well.

If you or your supporters experience any issues, please open a support ticket and we'd be happy to lend a hand.

Have more questions? Submit a request
Article is closed for comments.